ODK API Portal
English
  • Overview
  • MediaIO
  • Continue Watching
  • Player Event
  • 지원 종료
  • 최근 변경
Information
apple
category
channels
check-region
client-base
client-log
config
contact-us
cover
curation
    홈 큐레이션(캐러셀 모음) 조회get큐레이션의 캐러셀 목록get큐레이션의 캐러셀 하나만 조회get
epg
episode
episodes
fast-channel
firetv
google
live-tv
navigation
notice
otp
page
payment
playback-log
playback
profile
program
programs
promotion-banner
reward
samsung
search
shorts
sponsor
tv-guide
user
visio-amasian-feed
Schemas
powered by Zudoku
ODX API v3
ODX API v3

curation


홈 큐레이션(캐러셀 모음) 조회

GET
https://odkmedia.io
/odx/api/v3/curation/{slug}/
  • The slug of ODK home carousels: home-curation-default

홈 큐레이션(캐러셀 모음) 조회 › path Parameters

slug
​string · required

홈 큐레이션(캐러셀 모음) 조회 › query Parameters

debug
​string

If value is "on", debug is included in response.

new_carousel_type
​boolean

true 면 특별 캐러셀(carousel_type 이 있는 캐러셀)도 포함해서 응답한다. 기본값은 false(특별 캐러셀 제외).

홈 큐레이션(캐러셀 모음) 조회 › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

홈 큐레이션(캐러셀 모음) 조회 › Responses

200
OdxV3Curation
contents
​string · readOnly
id
​integer · readOnly
service_name
​string · enum · readOnly

ex) odk, odc and etc. / To specify service name

  • odk - ODK
  • odc - ODC
  • odv - ODV
  • odl - ODL
  • amasian - AMASIAN
Enum values:
odk
odc
odv
odl
amasian
slug
​string · readOnly · pattern: ^[-a-zA-Z0-9_]+$

Home slug for url

GET/odx/api/v3/curation/{slug}/
curl https://odkmedia.io/odx/api/v3/curation/:slug \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>'
Example Responses
{ "contents": "contents", "id": 0, "service_name": "odk", "slug": "slug" }
json
application/json

큐레이션의 캐러셀 목록

GET
https://odkmedia.io
/odx/api/v3/curation/{slug}/contents/
  • This API returns curation contents without carousel items.
  • The slug of ODK home carousels: home-curation-default

큐레이션의 캐러셀 목록 › path Parameters

slug
​string · required

큐레이션의 캐러셀 목록 › query Parameters

debug
​string

If value is "on", debug is included in response.

new_carousel_type
​boolean

true 면 특별 캐러셀(carousel_type 이 있는 캐러셀)도 포함해서 응답한다. 기본값은 false(특별 캐러셀 제외).

큐레이션의 캐러셀 목록 › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

큐레이션의 캐러셀 목록 › Responses

200
OdxV3CurationContentsList
contents
​string · readOnly
id
​integer · readOnly
service_name
​string · enum · readOnly

ex) odk, odc and etc. / To specify service name

  • odk - ODK
  • odc - ODC
  • odv - ODV
  • odl - ODL
  • amasian - AMASIAN
Enum values:
odk
odc
odv
odl
amasian
slug
​string · readOnly · pattern: ^[-a-zA-Z0-9_]+$

Home slug for url

GET/odx/api/v3/curation/{slug}/contents/
curl https://odkmedia.io/odx/api/v3/curation/:slug/contents \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>'
Example Responses
{ "contents": "contents", "id": 0, "service_name": "odk", "slug": "slug" }
json
application/json

큐레이션의 캐러셀 하나만 조회

GET
https://odkmedia.io
/odx/api/v3/curation/{slug}/contents/{content_slug}/
  • This API returns only 1 carousel in contents field that is requested with a content_slug.
  • The slug of ODK home carousels: home-curation-default

큐레이션의 캐러셀 하나만 조회 › path Parameters

content_slug
​string · required
slug
​string · required

큐레이션의 캐러셀 하나만 조회 › query Parameters

debug
​string

If value is "on", debug is included in response.

new_carousel_type
​boolean

true 면 특별 캐러셀(carousel_type 이 있는 캐러셀)도 포함해서 응답한다. 기본값은 false(특별 캐러셀 제외).

큐레이션의 캐러셀 하나만 조회 › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

큐레이션의 캐러셀 하나만 조회 › Responses

200
OdxV3Curation
contents
​string · readOnly
id
​integer · readOnly
service_name
​string · enum · readOnly

ex) odk, odc and etc. / To specify service name

  • odk - ODK
  • odc - ODC
  • odv - ODV
  • odl - ODL
  • amasian - AMASIAN
Enum values:
odk
odc
odv
odl
amasian
slug
​string · readOnly · pattern: ^[-a-zA-Z0-9_]+$

Home slug for url

GET/odx/api/v3/curation/{slug}/contents/{content_slug}/
curl https://odkmedia.io/odx/api/v3/curation/:slug/contents/:content_slug \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>'
Example Responses
{ "contents": "contents", "id": 0, "service_name": "odk", "slug": "slug" }
json
application/json

coverepg